Bug 66923 - Oracle connection info: incorrect password = traceback
Oracle connection info: incorrect password = traceback
Status: CLOSED RAWHIDE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-18 15:01 EDT by Ben Levenson
Modified: 2007-07-31 15:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 10:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2002-06-18 15:01:32 EDT
Description of Problem:
Shouldn't an incorrect password prevent the user from proceeding with the
install? After mistyping the password I was able to proceed to the final
screen, but was left with an inoperable installation. (ie none of the apache
configs were completed).

RHN 15436 2002/06/18 14:50:44: ('Connection attempt failed', 1017, 'ORA-01017:
invalid username/password; logon denied')
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 328, in onOracleInfoPageNext
    ret = tnames.test_connect(self.username, self.password)
  File "/mnt/cdrom//usr/share/rhn/satinstall/tnsnames.py", line 84, in test_connect
    rhnSQL.initDB(connectString)
  File "/var/www/rhns/server/rhnSQL/__init__.py", line 52, in initDB
    __init__DB(db)
  File "/var/www/rhns/server/rhnSQL/__init__.py", line 43, in __init__DB
    __DB = Database(db)
  File "/var/www/rhns/server/rhnSQL/intOracle.py", line 134, in __init__
    self.dbh = OracleConnect(self.database, self.dbtxt)
  File "/var/www/rhns/server/rhnSQL/intOracle.py", line 45, in OracleConnect
    raise apply(sql_base.SQLConnectError, (log_db, errno, errmsg) +
tuple(e.args[2:]))
server.rhnSQL.sql_base.SQLConnectError: (1017, 'ORA-01017: invalid
username/password; logon denied', '(DESCRIPTION =(ADDRESS_LIST =(ADDRESS =
(PROTOCOL = TCP)(HOST = filth2.webdev-colo.redhat.com)(PORT =
1521)))(CONNECT_DATA = (SID = rhnsat)))')
onSslCertInfoPagePrepare

Steps to Reproduce:
1. enter an incorrect password at the "Oracle connection information" screen
2. witness traceback
3. proceed w/ install

Actual Results:
dud install. (one symptom: httpd.conf is not updated)

Expected Results:
some type of dialog box clueing me in to the login error.
Comment 1 Ben Levenson 2002-06-19 17:36:12 EDT
ditto for an incorrect hostname -- though this is probably no surprise.
Comment 2 Adrian Likins 2002-06-20 14:28:21 EDT
yup, the exceptions raised on connect failures have changed
and the installer hasnt been updated to handle the new ones.

Taking a look.
Comment 3 Josef Komenda 2002-06-25 11:46:42 EDT
This is still a problem: 

OCI_ERROR at oci_8.c:325
ORA-01017: invalid username/password; logon denied
RHN 1267 2002/06/25 11:48:00: ('Connection attempt failed', 1017, 'ORA-01017:
invalid username/password; logon denied')
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 324, in onOracleInfoPageNext
    except rhnSql.sql_base.SQLConnectError, e:
NameError: rhnSql

But then the installer keeps on truckin along.
Comment 4 Todd Warner 2002-06-25 16:57:35 EDT
I'm thinking that the path is not being correctly appended.
Maybe in gui.py, the @CDROM_PREFIX@ not being set? My guess.
Comment 5 Mihai Ibanescu 2002-06-27 12:07:20 EDT
Nope, typo, rhnSql does not exist, it's rhnSQL.
Joe, give it a spin.
Comment 6 Josef Komenda 2002-06-27 17:15:47 EDT
I am pleased to report that this is fixed. However, the messaging for the error is: 
"db connect errors: <server.rhnSQL.sql_base.SQLConnectError instance at 84236b8>"

Can we get this to return something more helpful?
Comment 7 Josef Komenda 2002-06-27 17:21:44 EDT
Here's the Traceback for Bret: 

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/mnt/cdrom/usr/sbin/satinstall", line 688, in onSslCertInfoPageNext
    self.satHostname)
  File "/mnt/cdrom//usr/share/rhn/satinstall/satInstall.py", line 385, in
genSslCerts
    sslCertGen.installCertRpm()
  File "/mnt/cdrom//usr/share/rhn/satinstall/sslCertGen.py", line 196, in
installCertRpm
    raise satInstallErrors.RpmError(_("Failed installing packages: %s") % errors)
satinstall.satInstallErrors.RpmError: RPM error.  The message was:
Failed installing packages: 
('package rhns-ssl-cert-1.0-1 is already installed', (2, None, 0))
('file /etc/httpd/conf/ssl.crt/server.crt from install of rhns-ssl-cert-1.0-1
conflicts with file from package rhns-ssl-cert-1.0-1', (7,
'/etc/httpd/conf/ssl.crt/server.crt', 0))
('file /etc/httpd/conf/ssl.key/server.key from install of rhns-ssl-cert-1.0-1
conflicts with file from package rhns-ssl-cert-1.0-1', (7,
'/etc/httpd/conf/ssl.key/server.key', 0))

OCI_ERROR at oci_8.c:325
ORA-01017: invalid username/password; logon denied
RHN 19372 2002/06/27 17:10:47: ('Connection attempt failed', 1017, 'ORA-01017:
invalid username/password; logon denied')
Comment 8 Mihai Ibanescu 2002-06-28 11:37:04 EDT
Joe, can you try with the latest code from CVS please?
Comment 9 Josef Komenda 2002-07-01 18:33:34 EDT
Very comprehensive information passed now; Closing.

Note You need to log in before you can comment on or make changes to this bug.